---
obj: application
repo: https://github.com/tmux/tmux
arch-wiki: https://wiki.archlinux.org/title/tmux
wiki: https://en.wikipedia.org/wiki/Tmux
---
# tmux
tmux  is a terminal multiplexer: it enables a number of terminals to be created, accessed, and controlled from a single screen.  tmux may be detached from a screen and continue running in the background, then later reattached.

# Usage
**New tmux session:**
```shell
tmux new -s name
```

**List existing sessions:**
```shell
tmux ls
```

**Attach to a named session:**
```shell
tmux attach -t name
```

**Kill a session:**
```shell
tmux kill-session -t name
```

# Keybinds
- Switch sessions: `Ctrl-b s`
- Detach from a running session: `Ctrl-b + d`
- Create a new window inside session: `Ctrl-b c`
- Go to next window: `Ctrl-b n`
- Switch sessions and windows: `Ctrl-B w`
- Go to window: `Ctrl-b [0-9]`
- Kill a window: `Ctrl-b x`